astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Cosmological Calculations (`astropy.cosmology`) »
- luminosity_distance

# luminosity_distance

`astropy.cosmology.funcs.``luminosity_distance`(z, cosmo=None)

  Luminosity distance in Mpc at redshift `z`.

  This is the distance to use when converting between the bolometric flux from an object at redshift `z` and its bolometric luminosity.

  Parameters:

  z : array_like

  > Input redshifts.

  Returns:

  lumdist : astropy.units.Quantity

  > Angular diameter distance at each input redshift.